import java.io.*;
import org.codehaus.aspectwerkz.joinpoint.JoinPoint;

public class MyAspect {

    public void beforeNetworkUpdate(JoinPoint joinPoint) {
		System.out.println("");
        System.out.println("Before Network Update - fasten your seatbelt!");

        File aFile = new File("networkData.txt");

		StringBuffer contents = new StringBuffer();

		//declared here only to make visible to finally clause
		BufferedReader input = null;

		try {
		  //this implementation reads one line at a time
		  input = new BufferedReader(new FileReader(aFile));
		  String line = null;

		  while ((line = input.readLine()) != null){
		    contents.append(line);
		    contents.append(System.getProperty("line.separator"));
		  }
		}
		catch (FileNotFoundException ex) {
		  ex.printStackTrace();
		}
		catch (IOException ex){
		  ex.printStackTrace();
		}
		finally {
		  try {
		    if (input!= null) {
		      //flush and close both "input" and its underlying FileReader
		      input.close();
		    }
		  }
		  catch (IOException ex) {
		    ex.printStackTrace();
		  }
		}

        System.out.println(contents.toString());
    }

    public void afterNetworkUpdate(JoinPoint joinPoint) {
		System.out.println("");
        System.out.println("After Network Update - we've crossed the Rubicon");
        System.out.println("");
    }
}